import React from "react";
import MatrixClientContext from "../../contexts/MatrixClientContext";
interface IProps {
    url?: string;
    className?: string;
    scrollbar?: boolean;
    replaceMap?: Record<string, string>;
}
interface IState {
    page: string;
}
export default class EmbeddedPage extends React.PureComponent<IProps, IState> {
    static contextType: React.Context<import("matrix-js-sdk/src/client").MatrixClient>;
    context: React.ContextType<typeof MatrixClientContext>;
    private unmounted;
    private dispatcherRef;
    constructor(props: IProps, context: React.ContextType<typeof MatrixClientContext>);
    private translate;
    private fetchEmbed;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onAction;
    render(): React.ReactNode;
}
export {};
